/*
 * Copyright 2015 Mark Asselstine
 * Licensed under the Creative Commons Attribution-ShareAlike
*/
$fn = 150;

module hexagon () {
	
	intersection() {
		polygon([[7.5,0],[0,7.5],[-7.5,0],[0,-7.5]]);
		rotate([0,0,45]) polygon([[7.5,0],[0,7.5],[-7.5,0],[0,-7.5]]);
	}
}	

module cap() {
    difference() {
        linear_extrude(height=20, center=false, convexity=10, scale=3, twist = 45) hexagon();
        translate([0,0,-1]) cylinder(r1=4.5, r2=3.8, h=20);
    }
}

module turner() {
    union() {
        rotate([90,0,0]) translate([0,16,0]) cylinder(r=4, h=1);
        rotate([90,0,0]) translate([-4,0,0]) cube([8,16,1]);
    }
}

cap();
translate([0,0.5,19]) turner();
